// FileTest.cc
// -------------
// file class test module
//                                               
// Design and Implementation by Bjoern Lemke               
//                                                         
// (C)opyright 2000 by Bjoern Lemke                        
//
//
///////////////////////////////////////////////////////////////////////////////

#include "Exception.h"
#include "File.h"

int main(int argc, char **argv)
{


    int numCheck = 3;
    int checkCount = 1;
    
    try
    {
	
	cout << "1.." << numCheck << endl;

	File testFile(Chain("testFile"));
	
	testFile.exists();
	testFile.open(File::WRITE);
       
	for (int i = 0; i<10; i++)
	{
	    testFile.writeChain("hello world\n");	  
	    testFile << "Hello World" << 42 << "\n";
	}
	
	testFile.close();
	cout << "ok " << checkCount << " - write file" << endl;
	checkCount++;
	
	File testFile2(Chain("testFile"));
	
	testFile2.open(File::READ);
	testFile2.Size();

	Chain line;
	
	while (testFile2.readLine(line))
	{
	    // cout << "<<<" << line << ">>>" << endl;
	}
	
	testFile2.close();
	
	cout << "ok " << checkCount << " - read file" << endl;
	checkCount++;

	
	File copyFile(Chain("copyFile"));     
	copyFile = testFile2;
	cout << "ok " << checkCount << " - copy file" << endl;
	checkCount++;

    }
    catch (Exception e)
    {
	Chain msg;
	e.pop(msg);
	cout << "not ok " << checkCount << " - " << msg << endl;
	return 1;
    }
    
    return 0;
    
}
  

